Subject: Re: Volunteer needed : Re: Would setting the CONFIG_RTC option break the powerpc kernel on your machine ?

From: Sven Luther <[email-masked]>
Date: Wed, 7 Jan 2004 15:47:44 +0100

On Wed, Jan 07, 2004 at 03:28:28AM -0900, Ethan Benson wrote:
>
> On Wed, Jan 07, 2004 at 12:27:26PM +0100, Sven Luther wrote:
> >
> > Mmm, notice that this is the rtc_init code, not the rtc ioctl's
> > themself. In my understanding this is launched when the kernel is
> > loaded, and is used to setup the rtc clock. If it fails, then no harm
> > should be done, since the generic rtc driver should take over, not sure
> > though.
>
> sounds iffy to me.  especially if both are compiled as modules, in
> which case the rtc module will be loaded, fail and im betting the
> whole thing stops right there.

Yeah, not sure also, need a volunteer to test it.

> debian used to ship kernels with both PPC_RTC and RTC as modules,
> hoping the right one would magically load and work on the right
> hardware, of couse this was not the case, RTC was always loaded, and
> broke powermacs.

Yeah, but this was because the RTC driver does some rtc register probing
the pmac hardware does not like. If the RTC clock detects it is a pmac,
it will fail to initialize before causing damage.

The worse that can happen is the GENERIC_RTC driver not being
initialized because linux believes the RTC driver should be ok.

Friendly,

Sven Luther

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/